package com.supervision.knowsub.service;

import com.supervision.knowsub.dto.flow.SystemFlowRuleDTO;
import com.supervision.knowsub.vo.flow.NodeInfo;

import java.util.List;

public interface FlowRuleManageService {

    /**
     * 保存流程规则
     * @param flowId 规则id
     * @param nodeInfoList 规则节点信息
     * @return
     */
    boolean saveFlowRule(String flowId, List<NodeInfo> nodeInfoList);


    void saveFlowRule(List<SystemFlowRuleDTO> systemFlowRuleDTOList);


    void updateFlowRule(List<SystemFlowRuleDTO> systemFlowRuleDTOList);

    /**
     * 更新流程规则
     * @param flowId 规则id
     * @param nodeInfoList 规则节点信息
     * @return
     */
    boolean updateFlowRule(String flowId, List<NodeInfo> nodeInfoList);

    List<NodeInfo> listFlowRule(String flowId);


    void deleteFlowRuleByRuleIds(List<String> ruleIdList);
}
