package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.entity.vo.knowledge.KnowledgeDetailResVO;
import com.supervision.knowsub.entity.vo.knowledge.ModifyKnowledgeReqVO;
import com.supervision.knowsub.entity.vo.knowledge.SaveKnowledgeReqVO;
import com.supervision.knowsub.model.Knowledge;
import com.supervision.knowsub.vo.knowledge.KnowledgePageResVO;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.time.LocalDate;
import java.time.LocalDateTime;

public interface KnowledgeManageService {

    IPage<KnowledgePageResVO> queryKnowledgePage(Integer status,
                                                 String title,
                                                 String publishDeptId,
                                                 String baseId,
                                                 String submitDeptId,
                                                 LocalDate publishDateBegin,
                                                 LocalDate publishDateEnd,
                                                 LocalDate submitDateBegin,
                                                 LocalDate submitDateEnd,
                                                 Integer pageNum, Integer pageSize);

    void saveKnowledge(SaveKnowledgeReqVO reqVO);

    void updateKnowledge(ModifyKnowledgeReqVO reqVO);

    void recallKnowledge(String knowledgeId, String remark);

    KnowledgeDetailResVO queryKnowledgeDetail(String knowledgeId);

    void deleteKnowledge(String knowledgeId, String remark);
}
