package com.supervision.knowsub.config;

import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import cn.hutool.jwt.JWT;
import cn.hutool.jwt.JWTUtil;
import com.supervision.knowsub.exception.BusinessException;
import com.supervision.knowsub.util.TokenUtil;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.validation.constraints.NotNull;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.http.HttpStatus;
import org.springframework.lang.Nullable;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;
import org.springframework.web.servlet.HandlerInterceptor;

import java.util.HashMap;
import java.util.Map;

@Slf4j
public class JwtInterceptor implements HandlerInterceptor {

    public JwtInterceptor() {
    }


//    @Override
//    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
//        //请求消息头获取用户ID
//        String token = request.getHeader("token");
//        if (StrUtil.isBlank(token)) {
//            // 如果是swagger来的接口,说明这里是测试的,会伪造一个用户
//            String referer = request.getHeader("Referer");
//            if (StrUtil.isNotBlank(referer) && StrUtil.contains(referer, "doc.html")) {
////                cacheAuth(JWTUtil.parseToken(devActiveUser()));
//                setTokenToRequestHolder(devActiveUser());
//                return true;
//            } else {
//                throw new BusinessException("当前用户未登录", HttpStatus.UNAUTHORIZED.value());
//            }
//        }
//        JWT jwt = JWTUtil.parseToken(token);
//        // 校验token是否过期,如果过期了,需要提示过期重新登录
//        checkTokenExpire(jwt);
//        // cacheAuth(jwt);
//        return true;
//    }

    /**
     * 本地调试时,自己mock角色
     */
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        Map<String, Object> map = new HashMap<>();
        map.put("id", "1");
        map.put("account", "test");
        map.put("username", "测试");
        map.put("deptId", "1");
        map.put("roleId", "1");
        setTokenToRequestHolder(TokenUtil.creatToken(JSONUtil.toJsonStr(map)));
        return true;
    }

    private void setTokenToRequestHolder(String token) {
        ServletRequestAttributes requestAttributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        if (ObjectUtils.isEmpty(requestAttributes)) {
            throw new BusinessException("未获取到用户信息");
        }
        requestAttributes.setAttribute("token", token, 0);
    }


    @Override
    public void afterCompletion(@NotNull HttpServletRequest request, @NotNull HttpServletResponse response, @NotNull Object handler,
                                @Nullable Exception ex) throws Exception {
        HandlerInterceptor.super.afterCompletion(request, response, handler, ex);
    }


    private void checkTokenExpire(JWT jwt) {
        Object expireTime = jwt.getPayload("expireTime");
        long l = Long.parseLong(String.valueOf(expireTime));
        // 校验是否比当前时间大
        long currentTimeMillis = System.currentTimeMillis();
        if (currentTimeMillis > l) {
            throw new BusinessException("用户登录已过期,请重新登录", HttpStatus.UNAUTHORIZED.value());
        }
    }



    private String devActiveUser() {
        Map<String, Object> map = new HashMap<>();
        map.put("id", "1");
        map.put("account", "test");
        map.put("username", "测试");
        map.put("deptId", "1");
        map.put("roleId", "1");
        return TokenUtil.creatToken(JSONUtil.toJsonStr(map));
    }

}
