package som.supervision.knowsub.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import som.supervision.knowsub.service.KnowledgeEtlService;

import java.io.IOException;

@Tag(name = "知识ETL类")
@RestController
@RequestMapping("etl")
@RequiredArgsConstructor
public class KnowledgeEtlController {

    private final KnowledgeEtlService knowledgeEtlService;

    @Operation(summary = "对知识进行ETL")
    @PostMapping("knowledgeEtl")
    public void knowledgeEtl(@RequestParam("files") MultipartFile[] files) {
        knowledgeEtlService.knowledgeEtl(files);
    }

    @Operation(summary = "Redis对知识进行ETL")
    @PostMapping("redisKnowledgeEtl")
    public void redisKnowledgeEtl(@RequestParam("files") MultipartFile[] files) {
        knowledgeEtlService.redisKnowledgeEtl(files);
    }
}
