package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 附件表
 * @TableName ks_knowledge_attachment
 */
@TableName(value ="ks_knowledge_attachment")
@Data
public class KnowledgeAttachment implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 知识库ID
     */
    private String knowledgeId;

    /**
     * 文件ID(file_info表ID)
     */
    private String fileId;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新人ID
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}