package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 流程类型关联表
 * @TableName ks_system_flow_type_relation
 */
@TableName(value ="ks_system_flow_type_relation")
@Data
public class SystemFlowTypeRelation implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程id 关联ks_system_flow表的id
     */
    private String flowId;

    /**
     * 流程类型 1知识报送 2:知识撤回 3 知识删除
     */
    private Integer flowType;


    /**
     * 应用库id 关联ks_system_base表的id
     */
    private String baseId;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}