package com.supervision.knowsub.service;

import com.supervision.knowsub.model.KnowledgeSubmitRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author flevance
 * @description 针对表【ks_knowledge_submit_record(知识报送记录表(只要知识被谁报送过,都在这张表记录))】的数据库操作Service
 * @createDate 2024-06-27 15:22:11
 */
public interface KnowledgeSubmitRecordService extends IService<KnowledgeSubmitRecord> {

    /**
     * 查询待审批的知识数量
     *
     * @param userId 用户ID
     */
    Long queryKnowledgeSubmitTodoCount(String userId);

    /**
     * 查询知识审批拒绝和驳回以及失效状态数量
     */
    Long queryKnowledgeSubmitStatusCount(String userId, Integer status);


}
