package com.supervision.knowsub.vo.flow;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.json.JSONUtil;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * 流程详情返回对象
 */
@Data
@Slf4j
@Builder
public class FlowDetailResVo {

    private String id;

    private String flowName;

    private String remark;


    private List<String> subLibraryIdList;

    @Schema(description = "数据类型集合 1知识报送 2:知识撤回 3 知识删除",hidden = true)
    private List<Integer> flowTypeIdList;

    @Schema(description = "数据类型 1知识报送 2:知识撤回 3 知识删除")
    private Integer flowType;

    private List<NodeInfo> nodeInfoList;
    @Tolerate
    public FlowDetailResVo() {
    }

    public void setFlowTypeFromFlowTypeIdList() {
        if (CollUtil.isNotEmpty(this.flowTypeIdList)){
            this.flowType = this.flowTypeIdList.get(0);
            if (CollUtil.size(this.flowTypeIdList)>1){
                log.warn("流程flowTypeIdList为{}的流程类型id集合长度大于1，取第一个值作为流程类型", JSONUtil.toJsonStr(this.flowTypeIdList));
            }
        }
    }
}
