package com.supervision.knowsub.vo.knowledge;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;

@Data
@Schema
public class KnowledgeFlowResVO {

    @Schema(description = "待办ID")
    private String todoId;
    @Schema(description = "流程ID")
    private String flowId;
    @Schema(description = "流程实例ID")
    private String flowInstanceId;
    @Schema(description = "知识ID")
    private String knowledgeId;
    @Schema(description = "标题")
    private String title;
    @Schema(description = "审批类型 1知识报送 2:知识撤回 3 知识删除")
    private String flowType;
    @Schema(description = "发文部门名称")
    private String publishDeptName;
    @Schema(description = "流转状态  1草稿 2通过 3驳回 4已撤回 5已失效 6已删除 10待审批(新增) 11待审批(删除) 12待审批(撤回) 15驳回(新增) 16驳回(删除) 17驳回(撤回)")
    private Integer status;

    private String publishDeptId;
    @Schema(description = "报送部门名称")
    private String submitDeptName;

    private String submitDeptId;
    @Schema(description = "报送人名称")
    private String submitUserName;

    private String submitUserId;
    @Schema(description = "报送时间")
    private LocalDate submitDate;
    @Schema(description = "发文时间")
    private LocalDate publishDate;
    @Schema(description = "知识来源 1人工提报")
    private Integer knowledgeFrom;


}
