package com.supervision.knowsub.controller;

import cn.hutool.json.JSONUtil;
import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import cn.hutool.poi.excel.ExcelWriter;
import com.supervision.knowsub.service.RagService;
import com.supervision.knowsub.vo.RagResVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("test")
@Slf4j
@RequiredArgsConstructor
public class TestController {

    private final RagService ragService;

    @GetMapping("esTest")
    public void esTest(){
        ExcelReader reader = ExcelUtil.getReader("/Users/flevance/Desktop/深圳人社POC/question.xlsx","Sheet2");
        List<Object> objects = reader.readColumn(3, 1);
        ExcelWriter writer = reader.getWriter();

        for (int i = 0; i < objects.size(); i++) {
            RagResVO ask = ragService.esAsk(objects.get(i).toString());

            writer.writeCellValue(5, i + 1, ask.getAnswer());
            writer.writeCellValue(6, i + 1, JSONUtil.toJsonStr(ask.getFileName()));
            log.info("第{}条数据写入成功,剩余{}条", i + 1, objects.size() - i - 1);
        }
        writer.flush();
    }

    @GetMapping("redisTest")
    public void redisTest(){
        ExcelReader reader = ExcelUtil.getReader("/Users/flevance/Desktop/深圳人社POC/question.xlsx","Sheet2");
        List<Object> objects = reader.readColumn(3, 1);
        ExcelWriter writer = reader.getWriter();

        for (int i = 0; i < objects.size(); i++) {
            RagResVO ask = ragService.redisAsk(objects.get(i).toString());

            writer.writeCellValue(5, i + 1, ask.getAnswer());
            writer.writeCellValue(6, i + 1, JSONUtil.toJsonStr(ask.getFileName()));
            log.info("第{}条数据写入成功,剩余{}条", i + 1, objects.size() - i - 1);
        }
        writer.flush();
    }
}
